.gallery {
  width: 100%;
  position: relative;
  z-index: 1;

  &-inner {
    @include respond-max('tablet') {
      min-width: 110vw;
    }
  }

  &-grid {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    width: 2110px;
    height: 1000px;

    &::-webkit-scrollbar {
      opacity: 0;
    }

    @include respond-min('widescreen') {
      width: 3000px;
    }

    @include respond-max('tablet') {
      width: auto;
      flex-wrap: nowrap;
      overflow: auto;
      height: 100vh;
      -webkit-overflow-scrolling: touch;
      overflow-x: auto;
      overflow-y: hidden;
      padding-left: 33vw;
    }
  }

  &-item {
    width: 20%;
    padding: 30px;
    display: flex;
    overflow: hidden;

    @include respond-max('tablet') {
      min-width: 60vh;
      padding: 50px;
      width: 100%;
      height: 100%;

      &:last-child {
        padding-right: 25vw;
        min-width: calc(66vh + 25vw);
      }
    }

    @include respond-max('mobile') {
      padding: 35px;

      @media (orientation: landscape) {
        padding: 15px;
      }
    }
  }
}

.gallery-item {
  @include respond-min('tablet') {
    &:hover {
      .gallery-item__info {
        opacity: 1;
      }
    }
  }

  @include respond-max('tablet') {
    &.is-vis {
      .gallery-item__info {
        opacity: 1;
      }

      .gallery-item__info-text {
        opacity: 1;
        transform: translateY(0);
      }
    }
  }

  &__inner {
    position: relative;
    margin: auto;

    img {
      transition: 0.5s ease-out;
      max-width: 100%;
    }
  }

  &__price {
    font-family: 'CenturyGothic', sans-serif;
    font-weight: 700;
    font-size: 20px;
    line-height: 1;
    margin-bottom: 8px;

    @include respond-max('mobile') {
      font-size: 14px;
    }

    @media (max-width: 840px) and (orientation: landscape) {
      font-size: 12px;
    }
  }

  p {
    @include respond-max('mobile') {
      font-size: 12px;
    }

    @media (max-width: 840px) and (orientation: landscape) {
      font-size: 10px;
    }
  }
}

.gallery-item__info {
  position: absolute;
  bottom: 20px;
  right: 20px;
  left: 20px;
  opacity: 0;
  border: 2px solid #000;
  background-color: #fff;
  padding: 15px;
  text-align: center;
  transition: 0.5s ease-out;

  @include respond-max('tablet') {
    position: fixed;
    bottom: 90px;
    left: 50%;
    transform: translateX(-50%);
    max-width: calc(100% - 30px);
    z-index: 1;
  }

  @include respond-max('mobile') {
    padding: 8px;
    bottom: 70px;
  }

  @media (max-width: 840px) and (orientation: landscape) {
    bottom: 30px;
    right: auto;
  }

  &-text {
    @include respond-max('tablet') {
      opacity: 0;
      transform: translateY(8px);
      transition-duration: 0.7s;
    }
  }
}
